Subject: Re: bug#27021: [PATCH 2/2] gnu: node: Use unbundled dependencies.
From: Marius Bakke <[email-masked]>
To: Jelle Licht <[email-masked]>, [email-masked]
Date: Tue, 23 May 2017 18:31:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jelle Licht <[email-masked]> writes:

> * gnu/packages/node.scm (node): Update to 7.10.0.
> (node)[arguments]: Disabled more tests.
> * gnu/packages/patches/node-9077.patch: Delete incompatible patch file.
> Recreate patch file from node pull request 9077.

[...]

> * gnu/packages/node.scm (node)[inputs]: Add c-ares and http-parser.
> [arguments]: Add configure flags for using system libraries.

Thanks for these patches! I updated the TODO comment about http-parser
to say "TODO: Purge the bundled copies from the source". I tried to do
that with a source 'snippet', but the Makefile expects to build these
targets, so it will take some work. Would you mind looking into it? :-)

Regardless, I've applied these patches for now. Thanks for maintaining
this package! :-)